﻿.locator-type-filters {
  margin-top: 50px; }
  .locator-type-filters .button {
    margin-top: 0; }

.filter-container {
  display: flex;
  padding: 50px 150px; }
  .filter-container > div {
    margin-right: 20px;
    margin-bottom: 20px;
    /*    &:first-of-type {
      padding-right: 30px;
      border-right: 1px solid gray;
      margin-right: 30px;
    }*/ }
  .filter-container .dealer-type-dropdown {
    font-weight: bold;
    color: #0067B0; }
    .filter-container .dealer-type-dropdown option:not(:checked) {
      color: black; }
  .filter-container input[type=text], .filter-container select {
    padding: 10px 25px;
    padding-right: 35px; }
  .filter-container input, .filter-container select {
    height: 50px;
    border: 1px solid black;
    border-radius: 3px; }
  .filter-container .zip-button {
    border: black;
    background: black;
    color: white;
    height: 50px;
    width: 50px; }

.map-results-container {
  display: flex;
  height: 850px;
  overflow: hidden; }

#map {
  width: 55%;
  height: 850px;
  margin: 0 auto; }

.more-filters {
  height: 60px;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  background: gainsboro; }
  .more-filters > a {
    width: 50%;
    height: 100%;
    background: white;
    color: #0067B0;
    text-transform: uppercase;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.35rem;
    border: 1px solid #0067B0; }
    .more-filters > a.selected {
      background: #0067B0;
      color: white; }

.nearby-dealers {
  width: 45%;
  position: relative; }

.nearby-dealers h4 {
  margin-bottom: 10px; }

.selected-dealer {
  background: #EEEEEE;
  padding: 20px;
  height: 300px; }
  .selected-dealer h2 {
    text-transform: none;
    font-size: 1.8rem;
    font-weight: 500;
    margin-bottom: 10px; }
  .selected-dealer .dealer-detail-button {
    background: #0067B0;
    color: white;
    font-weight: bold;
    padding: 5px 25px;
    display: inline-block; }
  .selected-dealer-info {
    display: flex; }
    .selected-dealer-info-container {
      width: 33%; }
      .selected-dealer-info-container:not(:nth-of-type(3)) {
        border-right: 1px solid gray;
        margin-right: 25px;
        padding-right: 25px;
        box-sizing: border-box; }
      .selected-dealer-info-container-products {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between; }
        .selected-dealer-info-container-products > p {
          width: 48%; }
        .selected-dealer-info-container-products p, .selected-dealer-info-container-products span {
          font-size: 1rem;
          line-height: 1rem; }
  .selected-dealer-number {
    width: 40px;
    height: 40px;
    background: #0067B0;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    color: white;
    font-weight: 900;
    margin-right: 15px;
    float: left; }

.nearby-dealers-table-container {
  overflow-y: scroll;
  height: 500px; }
  .nearby-dealers-table-container table {
    padding: 10px 30px; }

.nearby-dealers .dealer-listing {
  cursor: pointer; }

.dealer-number-box {
  width: 30px;
  height: 30px;
  background: #0067B0;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  color: white;
  font-weight: 900;
  margin-right: 15px; }

.hidden-dealer-details {
  display: none; }

.preferred-status {
  display: flex;
  align-items: center; }
  .preferred-status > img {
    width: 40px;
    margin-right: 5px; }
  .preferred-status span {
    line-height: 1rem; }

.menards-avant {
  font-size: .9rem;
  line-height: .9rem;
  display: block; }

/*Select Style*/
select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  padding: .5em;
  background: transparent;
  padding: 1em 2em 1em 1em;
  font-size: 1em; }

.select-container {
  position: relative;
  display: inline; }

.select-container:after {
  content: "";
  width: 0;
  height: 0;
  position: absolute;
  pointer-events: none; }

.select-container:after {
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  top: .4em;
  right: .75em;
  border-top: 8px solid black;
  opacity: 0.5; }

select::-ms-expand {
  display: none; }

@media (max-width: 1280px) {
  .filter-container {
    padding: 50px;
    flex-wrap: wrap; }
  #map {
    width: 45%; }
  .nearby-dealers {
    width: 55%; } }

@media (max-width: 950px) {
  .filter-container > div {
    border-right: none !important; }
  .map-results-container {
    height: auto;
    flex-direction: column; }
  #map {
    width: 100%;
    height: 500px; }
  .nearby-dealers {
    width: 100%; }
  .selected-dealer {
    height: auto; } }

@media (max-width: 650px) {
  .selected-dealer h2 {
    min-height: 50px; }
  .selected-dealer .dealer-detail-button {
    margin-bottom: 15px; }
  td:nth-of-type(2) {
    max-width: 150px; }
  td:nth-of-type(5) {
    display: none; } }

@media (max-width: 500px) {
  .selected-dealer-info {
    flex-direction: column; }
  .selected-dealer-info-container {
    width: 100%;
    border-right: none !important; } }

@media (max-width: 450px) {
  td:nth-of-type(3) {
    display: none; } }
